NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.OrientationMethodBuilder Class Reference

Represents a NXOpen.GeometricUtilities.OrientationMethodBuilder More...

Inheritance diagram for NXOpen.GeometricUtilities.OrientationMethodBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  OrientationOptions {
  Fixed, ByFaceNormals, ByVectorDirection, ByAnotherCurve,
  ByAPoint, ByAngularLaw, ByForcedDirection
}
 This enum represents the orientation option. More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.LawBuilder 
AngularLaw [get]
 Returns the angular law. More...
 
unsafe NXOpen.ScCollector Faces [get]
 Returns the faces that provide normal direction for alignment of second axis of local coordinate system. More...
 
unsafe NXOpen.SelectFaceList NormalFaceList [get]
 Returns the normal face list. More...
 
unsafe NXOpen.Section OrientationCurve [get]
 Returns the orientation curve. More...
 
unsafe
NXOpen.GeometricUtilities.OrientationMethodBuilder.OrientationOptions 
OrientationOption [get, set]
 Returns or sets the orientation option. More...
 
unsafe NXOpen.Point OrientationPoint [get, set]
 Returns or sets the orientation point. More...
 
unsafe NXOpen.Direction OrientationVector [get, set]
 Returns or sets the orientation vector. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.OrientationMethodBuilder

Created in NX5.0.0

Member Enumeration Documentation

This enum represents the orientation option.

By default, it is set to Fixed. Angular Law orientation option is invalid if 2 guides are selected.

Enumerator
Fixed 

Fixed

ByFaceNormals 

Face Normals

ByVectorDirection 

Vector Direction

ByAnotherCurve 

Another Curve

ByAPoint 

A Point

ByAngularLaw 

Angular Law

ByForcedDirection 

Forced Direction

Member Function Documentation

unsafe bool NXOpen.GeometricUtilities.OrientationMethodBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.GeometricUtilities.OrientationMethodBuilder.AngularLaw
get

Returns the angular law.

For orientation by an Angular Law, the section rotation along the guide curve is governed by the input law.

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.GeometricUtilities.OrientationMethodBuilder.Faces
get

Returns the faces that provide normal direction for alignment of second axis of local coordinate system.

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.SelectFaceList NXOpen.GeometricUtilities.OrientationMethodBuilder.NormalFaceList
get

Returns the normal face list.

For orientation by Face Normals, the second axis of the local coordinate system is aligned with the resultant of normals of the input faces.

Created in NX5.0.0

Deprecated in NX12.0.0. Use NXOpen.GeometricUtilities.OrientationMethodBuilder.Faces

License requirements: None.

unsafe NXOpen.Section NXOpen.GeometricUtilities.OrientationMethodBuilder.OrientationCurve
get

Returns the orientation curve.

For orientation by Another Curve, the second axis of the local coordinate system is obtained by joining corresponding points on the guide and the input section.

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OrientationMethodBuilder.OrientationOptions NXOpen.GeometricUtilities.OrientationMethodBuilder.OrientationOption
getset

Returns or sets the orientation option.

Except for Fixed orientation method, additional parameters and/or inputs are required.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.OrientationMethodBuilder.OrientationPoint
getset

Returns or sets the orientation point.

For orientation by a Point, the second axis is obtained with the equivalent of a three-sided ruled sheet between the guide string and the input point.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.GeometricUtilities.OrientationMethodBuilder.OrientationVector
getset

Returns or sets the orientation vector.

For orientation by Vector, the second axis of the local coordinate system is aligned with the input vector.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.